Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class TableInfo

    java.lang.Object
      jet.api.TableInfo

    public class TableInfo

extends java.lang.Object

TableInfo class defines a simple information package of a table and its columns. It includes table's name and all its column names.

Constructor Summary
`TableInfo(java.lang.String tablename, int capacity)` The constructor creates a new table information object with the specified number of columns.

Method Summary
`void` | `add(java.lang.String column)` Adds a column into the table's definition.
`java.lang.String` | `getColumn(int index)` Gets name of the column for the specified index in the table's definition.
`java.lang.String[]` | `getColumnNames()` Gets the column names in the table's definition.
`int` | `getLength()` Gets the maximum number of columns the table has.
`java.lang.String` | `getTableName()` Gets the table's name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableInfo

    public TableInfo(java.lang.String tablename,
                     int capacity)

  The constructor creates a new table information object with the specified number of columns.

  Parameters:
    `tablename` - The table's name.
    `capacity` - The initial number of columns in the table. Uses `getLength` to get the actual number of the columns.

Method Detail

### add

    public void add(java.lang.String column)

  Adds a column into the table's definition.

  Parameters:
    `column` - Specifies the column's name.

### getTableName

    public java.lang.String getTableName()

  Gets the table's name.

  Returns:
    the table's name.

### getColumnNames

    public java.lang.String[] getColumnNames()

  Gets the column names in the table's definition.

  Returns:
    a list of column names.

### getLength

    public int getLength()

  Gets the maximum number of columns the table has. The maximum number of columns the table has could be the maximum index in the table minus 1.

  Returns:
    the number of columns.

### getColumn

    public java.lang.String getColumn(int index)

  Gets name of the column for the specified index in the table's definition.

  Parameters:
    `index` - The index of the column in the table's definition.
  Returns:
    the column name.
  See Also:
    `getLength()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD